class ebkBanner extends HTMLElement {
    constructor(){
        super();
        let xhr = new XMLHttpRequest();
        xhr.onreadystatechange = () => {
            if(xhr.readyState === 4 && xhr.status === 200){
                if(xhr.responseText > 0) {
                    const h2 = document.createElement("h2");
                    h2.classList.add("red");
                    h2.innerHTML = "Ich biete aktuell wieder verschiedene Artikel zum verkauf an, eine genaue Übersicht ist <a class=\"red\" href=\"/selling.html\">hier</a> zu sehen."
                    this.appendChild(h2);
                }
            }
        }

        xhr.open("GET", "/API/ebk.php?count");
        xhr.send();
    }
}

customElements.define("jl-ebk-banner", ebkBanner);
